Bug 1721117 - [v2v] [VDDK][RHV][OSP] Concurrently migrating VMs are not correctly balanced among conversion hosts
Summary: [v2v] [VDDK][RHV][OSP] Concurrently migrating VMs are not correctly balanced ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: V2V
Version: 5.10.5
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.10.6
Assignee: Daniel Berger
QA Contact: Ilanit Stein
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On: 1716283
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-17 11:50 UTC by Satoe Imaishi
Modified: 2019-07-02 04:33 UTC (History)
6 users (show)

Fixed In Version: 5.10.6.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1716283
Environment:
Last Closed: 2019-07-02 04:33:28 UTC
Category: ---
Cloudforms Team: V2V
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:1644 None None None 2019-07-02 04:33:36 UTC

Comment 3 CFME Bot 2019-06-17 11:55:43 UTC
New commit detected on ManageIQ/manageiq/hammer:

https://github.com/ManageIQ/manageiq/commit/59e5de4f03c21eaaa584ef5a2ab933bd4ab4a8c5
commit 59e5de4f03c21eaaa584ef5a2ab933bd4ab4a8c5
Author:     Keenan Brock <keenan@thebrocks.net>
AuthorDate: Fri Jun 14 18:03:37 2019 -0400
Commit:     Keenan Brock <keenan@thebrocks.net>
CommitDate: Fri Jun 14 18:03:37 2019 -0400

    Merge pull request #18860 from djberg96/conversion_host_throttling

    [V2V] Modify active_tasks so that it always reloads

    (cherry picked from commit 660387c242a7581405ad85280370cd77317aac36)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1721117
    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1721118

 app/models/conversion_host.rb | 5 +-
 lib/infra_conversion_throttler.rb | 13 +-
 2 files changed, 15 insertions(+), 3 deletions(-)

Comment 4 Ilanit Stein 2019-06-26 10:45:41 UTC
Verified on CFME-5.10.6.1/RHV-4.3.4.3-0.1.el7

Checked with 2 cases:
1. 
VMware->RHV migration, VDDK, of 20 VMs/100GB disk, and Provider max concurrent VM migrations: 20, and Max concurrent VM migrations, 2 conversion hosts, per conversion host: 10.
Storage type: VMware- ISCSI, RHV- FC.

VMs were distributed evenly, between the 2 conversion hosts, 10:10.

2.
Same env, but with 2 conversion hosts, per conversion host: 5.
result:
On first round, the VMs were distributed evenly, 5:5.
then 1 vM failed on Bug 1719689 - [v2v][RHV][vddk] 1 out of 10 VMs failed migration, on CFME failed to read the state file. 
As a result 1 additional VM started to be migrated to the conversion host, on which the first VM failed migration.
So the distribution became 5:5, again.
After the first round ended, the second round distribution was 4:5
This is even distribution, since only 9 VMs were left to migrate.
the second round ended with a second VM migration failure, on Bug 1724040 - [v2v][Scale][RHV] VM migration fail on "start is not permitted at state running"

Comment 6 errata-xmlrpc 2019-07-02 04:33:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:1644


Note You need to log in before you can comment on or make changes to this bug.